Page MenuHomePhabricator

IPSec charon running even without active VPN configuration
Closed, ResolvedPublicBUG

Description

After deleting VPN from the configuration charon is still running and surviving reboots.

cpo@LR1:~$ show configuration commands | grep vpn
cpo@LR1:~$ ps faux | grep ipsec
root      2051  0.1  0.3  28824  2648 ?        Ss   21:33   0:00 /usr/lib/ipsec/starter --daemon charon --nofork
root      2118  0.6  1.4 911792 11344 ?        Ssl  21:33   0:00  \_ /usr/lib/ipsec/charon

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.2.0-rolling+201809011626
Why the issue appeared?
Will be filled on close
dmbaturin claimed this task.Sep 2 2018, 9:42 PM
dmbaturin edited projects, added VyOS 1.2.x (VyOS 1.2.0-rc1); removed VyOS 1.2.x.
syncer triaged this task as Normal priority.Sep 3 2018, 3:44 PM
syncer closed this task as Resolved.Oct 13 2018, 6:12 PM
syncer edited projects, added VyOS 1.2.x; removed VyOS 1.2.x (VyOS 1.2.0-rc3).
syncer moved this task from Backlog to Finished on the VyOS 1.2.x board.